package com.example.audiovisualrecord.ui.main;


import com.example.audiovisualrecord.base.BaseView;
import com.example.audiovisualrecord.utils.api.apidata.CORequest.COResponse;
import com.example.audiovisualrecord.utils.api.apidata.searchtype.TYPEResponse;
import com.example.audiovisualrecord.utils.api.searcheqkd.EQKDResponse;
import com.example.audiovisualrecord.utils.api.searchmntfct.MNTFCTResponse;
import com.example.audiovisualrecord.utils.api.searchpmfct.PMFCTResponse;

import java.util.List;

public interface MainContract {
    interface View extends BaseView {
        void setCOData(List<COResponse> adapterData);
        void setPZData(List<MNTFCTResponse> adapterData);
        void setDPNMData(List<PMFCTResponse> adapterData);
        void setEQKDData(List<EQKDResponse> adapterData);
        void setTYPEData(List<TYPEResponse> adapterData);
    }

    interface Presenter<V extends MainContract.View> {
//        void onGetDisposableToken(String DeviceId);
        void onGetComData();
        void onGetPZData();
        void onGetDPData(String CO, String PZ);
        void onGetSHIFTData(String CO, String PMFCT);
        void segVideo(String path,String name);
        void onGetTYPEData(String CO,String PMFCT);
    }
}
